MONGOC_DATABASE_FIND_COLLECTIONS(3)

NAME
mongoc_database_find_collections() - None

SYNOPSIS

mongoc_cursor_t *
mongoc_database_find_collections (mongoc_database_t * database,
                                  const bson_t * filter,
                                  bson_error_t * error);

Fetches a cursor containing documents, each corresponding to a collection on this database.

PARAMETERS

database
    A mongoc_database_t \&.

filter
    A matcher used by the server to filter the returned collections. May be NULL \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A cursor where each result corresponds to the server's representation of
    a collection in this database.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.